# Tests

Various module tests

### Triangulator

  ```bash
  cd /RapidPoseTriangulation/tests/ && python3 test_interface.py && cd ..
  ```

### Onnx C++ Interface

```bash
cd /RapidPoseTriangulation/tests/

g++ -std=c++17 -O3 -march=native -Wall \
    $(pkg-config --cflags opencv4) \
    -I /onnxruntime/include \
    -I /onnxruntime/include/onnxruntime/core/session \
    -I /onnxruntime/include/onnxruntime/core/providers/tensorrt \
    -L /onnxruntime/build/Linux/Release \
    test_utils2d.cpp \
    -o my_app.bin \
    -Wl,--start-group \
      -lonnxruntime_providers_tensorrt \
      -lonnxruntime_providers_shared \
      -lonnxruntime_providers_cuda \
      -lonnxruntime \
    -Wl,--end-group \
    $(pkg-config --libs opencv4) \
    -Wl,-rpath,/onnxruntime/build/Linux/Release

./my_app.bin
```
